Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.model.dlna.types
Class AvailableSeekRangeType

    java.lang.Object
      org.fourthline.cling.support.model.dlna.types.AvailableSeekRangeType

    public class AvailableSeekRangeType

extends Object

Author:
  Mario Franco

Nested Class Summary
`static class` | `AvailableSeekRangeType.Mode`

Constructor Summary
`AvailableSeekRangeType(AvailableSeekRangeType.Mode modeFlag, BytesRange byteRange)`
`AvailableSeekRangeType(AvailableSeekRangeType.Mode modeFlag, NormalPlayTimeRange nptRange)`
`AvailableSeekRangeType(AvailableSeekRangeType.Mode modeFlag, NormalPlayTimeRange nptRange, BytesRange byteRange)`

Method Summary
`BytesRange` | `getBytesRange()`
`AvailableSeekRangeType.Mode` | `getModeFlag()`
`NormalPlayTimeRange` | `getNormalPlayTimeRange()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AvailableSeekRangeType

    public AvailableSeekRangeType(AvailableSeekRangeType.Mode modeFlag,
                                  NormalPlayTimeRange nptRange)

### AvailableSeekRangeType

    public AvailableSeekRangeType(AvailableSeekRangeType.Mode modeFlag,
                                  BytesRange byteRange)

### AvailableSeekRangeType

    public AvailableSeekRangeType(AvailableSeekRangeType.Mode modeFlag,
                                  NormalPlayTimeRange nptRange,
                                  BytesRange byteRange)

Method Detail

### getNormalPlayTimeRange

    public NormalPlayTimeRange getNormalPlayTimeRange()

  Returns:
    the normalPlayTimeRange

### getBytesRange

    public BytesRange getBytesRange()

  Returns:
    the bytesRange

### getModeFlag

    public AvailableSeekRangeType.Mode getModeFlag()

  Returns:
    the modeFlag

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.